#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n],b[n];

    for(int i=0;i<n;i++)
        cin>>a[i];
    for(int i=0;i<n;i++)
        cin>>b[i];
    int max=0;


    for (int L = 0; L < n; L++)
    {
        int xor1 = 0;
        int and1 = INT_MAX;

        for (int R = L; R < n; R++)
        {
            xor1 ^= a[R];
            and1 &= b[R];
            int rez = xor1 * and1;
            if (rez > max) max = rez;
        }
    }

    cout<<(max)<< endl;

    return 0;
}